@echo off
REM ================================================================
REM TEST - Python Virtual Environment einrichten
REM ================================================================

call "%~dp0setenv.bat"

if not exist "%DXFMAKRO%\.venv" (
    echo Initialisiere Python virtual environment...
    py -m venv "%DXFMAKRO%\.venv" --upgrade-deps
    echo Erfolgreich.

    call "%DXFMAKRO%\.venv\Scripts\activate.bat"
    echo Installiere erforderliche Python Packages...
    pip install -r "%DXFMAKRO%\requirements.txt" -q
    echo Erfolgreich.
    deactivate
) else (
    echo Erforderliche Python Packages bereits installiert!
)
